@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@300&display=swap');
*{
   margin: 0;
   padding: 0;
   font-family: 'Cairo', sans-serif;
   scroll-behavior: smooth;
}
:root {
   --bgcolor: #240019;
}
body{
   background-color: #240019;
   width: 100%;
   height: 130vh;
   font-family: system-ui;
}
::-webkit-scrollbar {
   width: 10px;
   height: 20px;
}
::-webkit-scrollbar-thumb {
   background: linear-gradient(
       to bottom, #ff850a, #ff3474
   );
}
::-webkit-scrollbar-track {
   background-color: #474747;
}
header {
   background-color: #000000c7;
   width: 100%;
   display: flex;
   position: sticky;
   top: 0;
   justify-content: space-between;
   padding: 10px 0;
   z-index: 999;
}
header > a, nav > a {
   color: #fff;
   text-decoration: none;
   padding: 0 45px;
   transition: 0.7s;
}
header a:hover, nav:hover {
   color: red;
}
nav {
   display: flex;
}
header ul {
   display: none;
}
@media (max-width: 480px){
   nav > a {
      display: none;
   } 
   header ul {
      display: block;
      position: relative;
   }
   header ul li {
      color: #fff;
      list-style-type: none;
      padding: 0 20px;
      text-align: center;
   }
   header ul li > a {
      color: #fff;
      width: 100%;
      text-decoration: none;
      text-align: center;
   }
   header ul li ul  {
      display: none;
   }
   header ul li ul li {
      background-color: #000;
      width: 80px;
      padding: 10px;
      border: 1px solid #fff;
   }
   header ul li:hover > ul {
      display: block;
   }
   header ul ul {
      background: #5f6975; 
      border-radius: 0px; 
      padding: 0;
      position: absolute; 
      top: 100%;
      right: 20px;
  }
  header ul ul ul {
   position: absolute; 
   left: 100%; 
   top:0;
   }
}
section {
   background: url(../img/image.png);
   width: 100%;
   height: 135vh;
   display: flex;
   justify-content: center;
   align-items: center;
   direction: rtl;
   overflow: hidden;
   /* margin: -40px 0; */
}
h1 {
   color: #fff;
   text-align: center;
   padding: 0px;
}
section ul{
   text-align: center; 
}

section ul li{
   list-style: none;
   margin: 14px 0;
   transform: scale(1.0);
}
section ul li a{
   color: #fff;
   text-decoration: none;
   font-size: 20px;
   font-weight: 500;
   letter-spacing: 4px;
   background: darkblue;
   padding: 6px 15px;
   border-radius: 20px;
   display: inline-block;
   text-transform: uppercase;
   width: 120px;
   transition: 0.5s;
   position: relative;
   z-index: 10;
}
section ul li a:hover {
   background: darkmagenta;
   opacity: 1;
}
section ul li::after{
   content: attr(data-text);
   color: #fff;
   position: absolute;
   left: 50%;
   top: 50%;
   transform: translate(-50%,-50%);
   font-size: 80px;
   font-weight: 900;
   text-transform: uppercase;
   opacity: 0;
   letter-spacing: 50px;
   pointer-events: none;
   transition: 0.5s;
}
section ul li:hover::after{
   opacity: 0.5;
   letter-spacing: 5px;
}
.icon {
   display: flex;
   justify-content: space-evenly;
   position: relative;
   top: 60px;
   margin: 20px 0;
}
.icon a {
   text-decoration: none;
   color: #ffff;
   margin: 10px;
   font-size: 20px;
}
.icon a i {
   margin: 10px;
}
.icon a:hover {
   color: #0d6efd;
}
main {
   background: url(../img/image.png);
}
footer {
   width: 100%;
   background-color: black;
   padding: 10px 0;
}
.footer-icon {
   display: flex;
   justify-content: space-between;
   direction: rtl;
   padding: 14px;
}
footer  h1, h3 {
   color: #fff;
   font-size: 15px;
   text-align: right;
   padding: 16px;
}
.footer-icon img {
   width: 40px;
   padding: 10px;
}
.footer-icon .icon-img {
   padding: 36px 0;
}
@media (max-height: 600px) {
   section ul {
      display: grid;
      grid-template-columns: repeat(2, auto);
   }
   section li a {
      margin: 10px;
   }
}

@media (min-width: 1024px) {
   section ul:hover li a{
      background: red;
      opacity: 0;
   }
   section ul li a:hover{
      transform: scale(1.5);
      background: darkmagenta;
      opacity: 1;
   }
}